@Weapon "Hammer"
{
   filename="models/weapons/hammer/hammer.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="holster"
   unholster_sound="unholster"
   @Mode "Primary"

   {
      delayed_fire=1
      weapon_fire_delay=.1
      weapon_type="instant"
      fire_period=.2
      weapon_ammo_index=-1
      weapon_ray_damage=51
      weapon_ray_stamina=50
      attempts_per_ray=4
      weapon_ray_spread=.1
      weapon_ray_length=90
      weapon_ray_number=1
      pre_fire_sound="swish"
      //collision_effect="Punch_Wall"
      weapon_ray_stamina=20
      damage_type="bullet"
   }

   encumbrance=0
}

@Weapon "NoWeapon"
{
   filename=""
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="holster"
   unholster_sound="unholster"
   @Mode "Primary"

   {
      delayed_fire=1
      //weapon_fire_delay=.1
      weapon_type="instant"
      fire_period=.2
      weapon_ammo_index=9
      weapon_ray_damage=0
      weapon_ray_stamina=0
      attempts_per_ray=1
      weapon_ray_spread=.1
      weapon_ray_length=1
      weapon_ray_number=1
      //pre_fire_sound="swish"
      //collision_effect="Punch_Wall"
      weapon_ray_stamina=20
      damage_type="bullet"
   }

   encumbrance=0
}

@Weapon "Pistol"
{
   filename="models/weapons/pistol/pistol.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="holster"
   unholster_sound="unholster"
   zoom_mag=2.0
   zoom_mode=FREE
   @Mode "Primary"
   {
      weapon_reload_sound="pistol_reload"
	  weapon_reload_time=1.32
	  weapon_recoil_intensity=.5
      ammo_count=15
      weapon_type="instant"
      fire_period=0.1
      weapon_ammo_index=-1
      weapon_ray_length=4096
      weapon_ray_spread=.01
      weapon_ray_damage=34
      weapon_auto_fire=0
      weapon_fire_sound="pistol_fire"
      weapon_fire_empty_sound="pistol_blank"
      muzzle_effect="MP5_VoxelMuzzleFlash"
      collision_effect="ImpactMetalEffect"
      weapon_ray_stamina=10
//      add_discharge_effect="SpentPistolEffect,Barrel"
      damage_type="bullet"
      //launch_joint="Muzzle"
	  ai_burst_time=.3
	  ai_max_range=1500
   }

   // Weapon as pickup settings.
   add_damage_effect="bullet,RicochetSparksEffect"
   give_weapon="Pistol"
   give_ammo_type=0
   give_ammo_count=7
   sound_pickup="weaponpickup"
   respawn_time=0
   bbox_min_x=-1
   bbox_min_y=-4
   bbox_min_z=-4
   bbox_max_x=1
   bbox_max_y=4
   bbox_max_z=4
   expire_time=30
}

@Weapon "Mp5"
{
   filename="models/weapons/mp5/mp5.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="holster"
   unholster_sound="unholster"
   share_ammo=1
   zoom_mag=2.0
   zoom_mode=FREE

   @Mode "Primary"
   {
      weapon_reload_sound="mp5_reload"
	  weapon_reload_time=3.9
	  weapon_recoil_intensity=.5
      ammo_per_shot=1
      ammo_count=30
      weapon_type="instant"
      fire_period=.1
      weapon_ammo_index=-1//sub machinegun ammo
      weapon_ray_length=4096
      weapon_ray_spread=0.035
      weapon_ray_damage=40
	  weapon_ray_stamina=70
      weapon_ray_number=1
	  weapon_fire_sound="mp5_fire"
      //down_phase_sound="mp5_dp"
//      active_phase_sound="mp5_ap"
//      up_phase_sound="mp5_up"
      weapon_fire_empty_sound="shotgun_blank"
      collision_effect="ImpactMetalEffect"
//      muzzle_effect="Riot_MuzzleFlash"
      muzzle_effect="MP5_VoxelMuzzleFlash"
      add_discharge_effect="SpentMP5Effect,ejector_joint"
	  add_discharge_effect="TracerEffect,TracerJoint"
      damage_type="bullet"
	  ai_max_range=2000
      ai_burst_time=1
   }

   encumbrance=0.3

   // Weapon as pickup settings.
   give_weapon="Mp5"
   give_ammo_type=1
   give_ammo_count=5
   sound_pickup="weaponpickup"
   respawn_time=0
   bbox_min_x=-1
   bbox_min_y=-16
   bbox_min_z=-4
   bbox_max_x=1
   bbox_max_y=16
   bbox_max_z=6
   expire_time=30
}

@Weapon "Ak47"
{
   filename="models/weapons/ak47/ak47.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="holster"
   unholster_sound="unholster"
   share_ammo=1
   zoom_mag=3.0
   zoom_mode=FREE

   @Mode "Primary"
   {
      weapon_reload_sound="ak47_reload"
	  weapon_reload_time=2.0
	  weapon_recoil_intensity=.5
      ammo_per_shot=1
      ammo_count=30
      weapon_type="instant"
      fire_period=.1
      weapon_ammo_index=-1//sub machinegun ammo
      weapon_ray_length=4096
      weapon_ray_spread=0.030
      weapon_ray_damage=50
	  weapon_ray_stamina=110
      weapon_ray_number=1
	  weapon_fire_sound="ak47_fire"
      weapon_fire_empty_sound="shotgun_blank"
      collision_effect="ImpactMetalEffect"
//      muzzle_effect="Riot_MuzzleFlash"
      muzzle_effect="MP5_VoxelMuzzleFlash"
      add_discharge_effect="SpentMP5Effect,Handle"
	  add_discharge_effect="TracerEffect,TracerJoint"
      damage_type="bullet"
	  ai_max_range=2000
      ai_burst_time=1
   }

   encumbrance=0.3

   // Weapon as pickup settings.
   give_weapon="Ak47"
   give_ammo_type=3
   give_ammo_count=6
   sound_pickup="weaponpickup"
   respawn_time=0

   bbox_min_x=-1
   bbox_min_y=-14
   bbox_min_z=-6
   bbox_max_x=1
   bbox_max_y=22
   bbox_max_z=4
   expire_time=30
}

@Explosion "FEExplosion"
 {
   radius=200
   health=200
   stamina=100
   effect="FEExplosionEffect"//looks the same as grenade explosion, but no scorch mark
   damage_type="explosive"
}

@Explosion "GrenadeExplosion"
 {
   radius=500
   health=250
   stamina=100
   effect="GrenadeExplosionEffect"
   damage_type="explosive"
}

@Explosion "EnemyGrenadeExplosion"
 {
   radius=200
   health=50
   stamina=100
   effect="GrenadeExplosionEffect"
   damage_type="explosive"
}

@Explosion "MissileExplosion"
 {
   radius=600
   health=100
   stamina=100
   effect="MissileExplosionEffect"
   damage_type="explosive"
}

@Explosion "MissileBuildingExplosion"
 {
   radius=600
   health=200
   stamina=100
   effect="MissileBuidlingExplosionEffect"
   damage_type="explosive"
}

@Explosion "NukeExplosion"
 {
   radius=2000
   health=2000
   stamina=2000
   effect="MissileBuidlingExplosionEffect"
   damage_type="explosive"
}

@Explosion "GrenadeExplosionNoScorch"
 {
   radius=400
   health=200
   stamina=100
   effect="FEExplosionEffect"//looks the same as grenade explosion, but no scorch mark
   damage_type="explosive"
}

@Explosion "SmokeGrenadeExplosion"
 {
   radius=200
   health=0
   stamina=10
   effect="SmokeGrenadeExplosionEffect"
   damage_type="smoke"
}

@Weapon "M4a1"
{
   filename="models/weapons/m4a1/m4a1.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="holster"
   unholster_sound="unholster"
   share_ammo=1
   zoom_mag=4.0
   zoom_mode=FREE
   //zoom_overlay="sniper2_page"
   @Mode "Primary"
   {
      weapon_reload_sound="m4a1_reload"
	  weapon_reload_time=2.9
	  weapon_recoil_intensity=.3
	  damage_type="bullet"
      ammo_per_shot=1
      ammo_count=30
      weapon_type="instant"
      fire_period=.1
      weapon_ammo_index=-1 //m4a1 ammo
      weapon_ray_length=4096
      weapon_ray_spread=0.025
      weapon_ray_damage=65
	  weapon_ray_stamina=130
      weapon_ray_number=1
      //down_phase_sound="m4a1_dp"
      //active_phase_sound="m4a1_ap"
      //up_phase_sound="m4a1_up"
	  weapon_fire_sound="m4a1_fire"
      weapon_fire_empty_sound="shotgun_blank"
      collision_effect="ImpactMetalEffect"
      muzzle_effect="MP5_VoxelMuzzleFlash"
      add_discharge_effect="SpentMP5Effect,ejector_joint"
	  add_discharge_effect="TracerEffect,TracerJoint"
	  ai_max_range=3000
      ai_burst_time=.1
   }

   encumbrance=0

   // Weapon as pickup settings.
   give_weapon="M4a1"
   give_ammo_type=5
   give_ammo_count=5
   sound_pickup="weaponpickup"
   respawn_time=0
   bbox_min_x=-2
   bbox_min_y=-24
   bbox_min_z=-4
   bbox_max_x=2
   bbox_max_y=23
   bbox_max_z=8
   expire_time=30
}

@Weapon "Awp"
{
   filename="models/weapons/awp/awp.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="holster"
   unholster_sound="unholster"
   share_ammo=1
   zoom_mag=12.0
   zoom_mode=FIXED
   zoom_overlay="sniper1_page"
   @Mode "Primary"
   {
      //auto_reload=1
      weapon_reload_sound="awp_reload"
	  weapon_reload_time=2.26
	  weapon_recoil_intensity=.7
      ammo_per_shot=1
      ammo_count=15
      weapon_type="instant"
      fire_period=.5
      weapon_ammo_index=-1
      weapon_ray_length=10000
      weapon_ray_spread=0.005
      attempts_per_ray=3
      weapon_ray_damage=100
      weapon_fire_sound="awp_fire"
      weapon_fire_empty_sound="shotgun_blank"
      weapon_ray_stamina=200
      weapon_reload_time=2.87
      collision_effect="ImpactMetalEffect"
      damage_type="bullet"
      muzzle_effect="MuzzleSmokePuffLauncher"
   }

   encumbrance=0

   // Weapon as pickup settings.
   give_weapon="SniperGun"
   give_ammo_type=2
   give_ammo_count=5
   sound_pickup="weaponpickup"
   respawn_time=0
   bbox_min_x=-4
   bbox_min_y=-4
   bbox_min_z=-4
   bbox_max_x=4
   bbox_max_y=4
   bbox_max_z=4
   expire_time=30
}

@Explosion "BombExplosion"
 {
   radius=250
   health=300
   stamina=200
   effect="GrenadeExplosionEffect"
   damage_type="explosive"
}

@Explosion "CarBombExplosion"
 {
   radius=512
   health=3000
   stamina=2000
   effect="GrenadeExplosionEffect"
   damage_type="explosive"
}

@Projectile "satchel"
{
   physics=1
   gravity=1000
   filename="models/weapons/m4a1/m4grenade.chr"
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   lighting_level=2
   projectile_impact_damage=0
   projectile_impact_stamina=0
   expire_time=.1
   impact_damage_type="explosive"
   expire_explosion="BombExplosion"
   autoface=0
   world_impact_result="expire"
   hit_points=50

}
@Projectile "carbomb_projectile"
{
   physics=1
   gravity=1000
   filename="models/weapons/m4a1/m4grenade.chr"
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   lighting_level=2
   projectile_impact_damage=0
   projectile_impact_stamina=0
   expire_time=.1
   impact_damage_type="explosive"
   expire_explosion="CarBombExplosion"
   autoface=0
   world_impact_result="expire"
   hit_points=50

}

@Weapon "Bomb"
{
   //filename="models/weapons/bomb/bombdetonator.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   //holster_sound="Holster"
   //unholster_sound="Unholster"
   share_ammo=1
   exclusive_modes=0

   @Mode "Primary"
   {
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=8
      weapon_projectile="satchel"
      weapon_projectile_velocity=1000
      //weapon_fire_sound="knife_swipe"
	  //ai_min_range=0
      ai_max_range=64
	  ai_min_range=0
   }

   //detonation_effect="bomb_dp"
   //detonation_aborted_effect="bomb_abort"

   //detonation_time=30
   encumbrance=.6
}

@Projectile "smokehandgrenade"
{
   physics=1
   gravity=.89
   filename="models/weapons/grenade/grenade.chr"
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   bounciness=0.5
   lighting_level=2
   projectile_impact_damage=0
   projectile_impact_stamina=0
   collide_sound="grenade_bounce"
   expire_time=3
   impact_damage_type="explosive"
   player_impact_explosion="SmokeGrenadeExplosion"
   expire_explosion="SmokeGrenadeExplosion"
   //add_effect="MuzzleSmokePuffLauncher"
   autoface=0
   world_impact_result="bounce"
   tracked_damage="Burning"
   random_bounce=0.05
   random_bounce_spin=2
   hit_points=50
   add_damage_type_adj="fire,.25"
   add_effect="GrenadeTrailEffect,root"
}

@Projectile "handgrenade"
{
   physics=1
   gravity=.89
   filename="models/weapons/grenade/grenade.chr"
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   bounciness=0.5
   lighting_level=2
   projectile_impact_damage=0
   projectile_impact_stamina=0
   collide_sound="grenade_bounce"
   expire_time=3
   impact_damage_type="explosive"
   player_impact_explosion="GrenadeExplosionNoScorch"
   expire_explosion="GrenadeExplosion"
   //add_effect="MuzzleSmokePuffLauncher"
   autoface=0
   world_impact_result="bounce"
   tracked_damage="Burning"
   random_bounce=0.05
   random_bounce_spin=2
   hit_points=50
   add_damage_type_adj="fire,.25"
   add_effect="GrenadeTrailEffect,root"
}

@Explosion "FE_Impact"
 {
   radius=30
   health=20
   stamina=10
   //effect="ImpactSmokeEffect"
   damage_type="extinguish"
}

@Projectile "fe_projectile"
{
   physics=1
   gravity=.1
   filename=""
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   lighting_level=0
   projectile_impact_damage=0
   projectile_impact_stamina=2
   expire_time=.25
   impact_damage_type="extinguish"
   player_impact_explosion="FE_Impact"
   expire_explosion="FE_Impact"
   autoface=0
   world_impact_result="expire"
   hit_points=50
   
}


@Projectile "rocket"
{
   physics=1
   gravity=.1
   filename="models/effects/rocket.chr"
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   //bounciness=0.5
   lighting_level=2
   projectile_impact_damage=0
   projectile_impact_stamina=0
   //collide_sound="grenade_bounce"
   expire_time=3
   impact_damage_type="explosive"
   player_impact_explosion="GrenadeExplosionNoScorch"
   expire_explosion="GrenadeExplosion"
   add_effect="SmokeTrailEffect"
   autoface=0
   world_impact_result="expire"
   tracked_damage="Burning"
   hit_points=50
   add_damage_type_adj="fire,.25"
}

@Projectile "enemy_rocket"
{
   physics=1
   gravity=.1
   filename="models/effects/rocket.chr"
   bbox_min_x=-2
   bbox_min_y=-2
   bbox_min_z=-2
   bbox_max_x=2
   bbox_max_y=2
   bbox_max_z=2
   //bounciness=0.5
   lighting_level=2
   projectile_impact_damage=0
   projectile_impact_stamina=0
   //collide_sound="grenade_bounce"
   expire_time=3
   impact_damage_type="explosive"
   player_impact_explosion="GrenadeExplosionNoScorch"
   expire_explosion="EnemyGrenadeExplosion"
   add_effect="SmokeTrailEffect"
   autoface=0
   world_impact_result="expire"
   tracked_damage="Burning"
   hit_points=50
   add_damage_type_adj="fire,.25"
}

@Weapon "Grenade"
{
   filename="models/weapons/grenade/grenade.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Root"
   holster_sound="holster"
   unholster_sound="unholster"
   instant_autochange=1

   @Mode "Primary"
   {
      weapon_fire_delay=.78
      //auto_reload=1
      ammo_count=0
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=-1
      weapon_projectile="handgrenade"
      weapon_projectile_velocity=900
      pre_fire_sound="grenade_throw"
      //ai_min_range=64
      ai_max_range=800
   }
   encumbrance=0
      // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,RicochetSparksEffect"
   give_weapon="Grenade"
   give_ammo_type=7
   give_ammo_count=1
   sound_pickup="weaponpickup"
   pickup_spin=1
   pickup_bob=1
   hit_points=20
   expire_explosion="RocketItemExplosion"
   expire_time=30
   respawn_time=0
}

@Weapon "M136"
{
   filename="models/weapons/m136/m136.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="holster"
   unholster_sound="unholster"
   share_ammo=1
   zoom_mag=2.0
   zoom_mode=FREE
   @Mode "Primary"
   {
      weapon_fire_sound="m136_fire"
	  weapon_reload_sound="m136_reload"
	  weapon_reload_time=1.64
      muzzle_effect="MP5_VoxelMuzzleFlash"
      //weapon_fire_delay=.78
      //auto_reload=1
      ammo_count=4
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=-1
      weapon_projectile="rocket"
      weapon_projectile_velocity=2000
      
      //ai_min_range=64
      //ai_max_range=800
   }

   encumbrance=0

   // Weapon as pickup settings.
   give_weapon="M136"
   give_ammo_type=8
   give_ammo_count=1
   sound_pickup="weaponpickup"
   respawn_time=0
   bbox_min_x=-4
   bbox_min_y=-4
   bbox_min_z=-4
   bbox_max_x=4
   bbox_max_y=4
   bbox_max_z=4
   expire_time=30
}

@Weapon "Fire_Extinguisher"
{
   filename="models/weapons/fire_extinguisher/fire_extinguisher.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="holster"
   unholster_sound="unholster"

   @Mode "Primary"
   {
      trigger_down_muzzle_effect="FE_MuzzleEffect"
      //weapon_fire_delay=.78
      //auto_reload=1
      ammo_count=0
      weapon_type="projectile"
      fire_period=0.1
      weapon_ammo_index=-1
      weapon_projectile="fe_projectile"
      weapon_projectile_velocity=1000
      down_phase_sound="F_Thrower_DP"
      active_phase_sound="F_Thrower_AP"
      up_phase_sound="F_Thrower_UP"
	  play_mods_on_active=1
   }

   encumbrance=0
}

@Weapon "Shotgun"
{
   filename="models/weapons/shotgun/shotgun.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   //exclusive_modes=0
   holster_sound="holster"
   unholster_sound="unholster"
   zoom_mag=2.0
   zoom_mode=FREE

   @Mode "Primary"
   {
      weapon_reload_sound="shotgun_reload"
	  weapon_recoil_intensity=.9
	  weapon_reload_time=.5
      ammo_count=8
      weapon_type="instant"
      fire_period=.3
      weapon_ammo_index=-1
	  weapon_reload_amount=1
      weapon_ray_length=4096
      weapon_ray_spread=0.1
      weapon_ray_damage=45
      weapon_ray_number=8
      weapon_fire_sound="shotgun_fire"
      weapon_fire_empty_sound="shotgun_blank"
      muzzle_effect="MP5_VoxelMuzzleFlash"
      damage_type="bullet"//was buckshot
	  collision_effect="ImpactMetalEffect"
      add_discharge_effect="SpentShotgunEffect,ejector_joint"
      //ai_max_range=500
   }

   encumbrance=0.2

   // Weapon as pickup settings.
//   give_weapon="Shotgun"
//   give_ammo_type=4
//   give_ammo_count=3
//   sound_pickup="weaponpickup"
//   respawn_time=0
//   bbox_min_x=-4
//   bbox_min_y=-4
//   bbox_min_z=-4
//   bbox_max_x=4
//   bbox_max_y=4
//   bbox_max_z=4
//   expire_time=30
}

@Weapon "M60"
{
   filename="models/weapons/m60/m60.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="holster"
   unholster_sound="unholster"
   share_ammo=1
   zoom_mag=2.0
   zoom_mode=FREE

   @Mode "Primary"
   {
      weapon_reload_sound="m60_reload"
	  weapon_reload_time=3.9
	  weapon_recoil_intensity=.6
      ammo_per_shot=1
      ammo_count=50
      weapon_type="instant"
      fire_period=.13
      weapon_ammo_index=-1//m60 ammo
      weapon_ray_length=4096
      weapon_ray_spread=0.04
      weapon_ray_damage=100
	  weapon_ray_stamina=100
      weapon_ray_number=4
	  weapon_fire_sound="m60_fire"
      weapon_fire_empty_sound="shotgun_blank"
      collision_effect="ImpactMetalEffect"
      muzzle_effect="MP5_VoxelMuzzleFlash"
      add_discharge_effect="SpentMP5Effect,Object01"
	  add_discharge_effect="TracerEffect,TracerJoint"
      damage_type="bullet"
	  ai_max_range=2000
      ai_burst_time=1
   }

   encumbrance=0.3

   // Weapon as pickup settings.
//   give_weapon="Mp5"
//   give_ammo_type=1
//   give_ammo_count=10
//   sound_pickup="weaponpickup"
//   respawn_time=0
//   bbox_min_x=-4
//   bbox_min_y=-4
//   bbox_min_z=-4
//   bbox_max_x=4
//   bbox_max_y=4
//   bbox_max_z=4
//   expire_time=30
}

