@Player "player"
{
   weight=225        // Weight in pounds
   team=1
   filename="player.chr"
   frag_message=FRAG_PLAYER
   suicide_message=SUICIDE_PLAYER
   //left_message="%s left the game and went back to boot camp"
   bbox_min_x=-20
   bbox_min_y=-20
   bbox_min_z=0
   bbox_max_x=20
   bbox_max_y=20
   bbox_max_z=90
   lighting_level=3
   damage=0
   encumbrance=1.8
   stamina_recovery_rate=100
   run_speed=260//is sprinting//was 260
   walk_speed=150//was 150, but walk is now run
   jump_speed=260
   jump_sound="jump"
   jump_stamina=10
   min_health=-2000
   //twitch_anims="die1twitch1"
   non_damage_fall_vel=250
   min_fall_vel=600
   fall_health_damage=0
   fall_stamina_damage=0
   //spawn_sound="Player_Respawn"
   min_time_for_spawn=2
   max_time_for_spawn=30
   spawn_hide_time=1
   climb_ability=1
   //add_effect="PlayerRespawnEffect"
   crouch_speed_adj=0.3
   //add_damage_type_adj="healing,1"
   add_damage_type_adj="extinguish,0"
   default_damage_adj_easy=0
   default_damage_adj=0
   default_damage_adj_hard=0
   add_damage_type_adj="explosive,0"
   //offensive_damage_adj=1
   encumbrance_adjust=1
   allowable_armour="Body Armour"
   add_splatter_effect="buckshot|bullet,BloodSplatter"
   add_damage_effect="buckshot|bullet,BloodSplatPlayer"

   weapon_slot="0,Fire_Extinguisher"
   weapon_slot="1,Hammer"
   weapon_slot="2,Grenade"
   weapon_slot="3,Pistol"
   weapon_slot="4,Shotgun"
   weapon_slot="5,Mp5"
   weapon_slot="6,M4a1"
   weapon_slot="7,Ak47"
   weapon_slot="8,Awp"
   weapon_slot="9,M136"
   weapon_slot="10,M60"
   weapon_slot="11,NoWeapon"
   
   
   max_ammo_count="0,100"//pistol ammo
   max_ammo_count="1,250"//mp5 ammo ?
   max_ammo_count="2,40"//awp ammo
   max_ammo_count="3,250"//ak47 ammo
   max_ammo_count="4,75"//shotgun ammo
   max_ammo_count="5,250"//m4a1 ammo
   max_ammo_count="6,250"//m60 ammo
   max_ammo_count="7,30"//grenades
   max_ammo_count="8,250"//rockets
   max_ammo_count="9,0"//noweapon

      @Spawn "default"
   {
      ammo_count="0,60"
	  //ammo_count="7,5"
      default_weapon="NoWeapon"
	  start_weapons="Fire_Extinguisher,Hammer,Grenade,Pistol,Shotgun,Mp5,M4a1,Ak47,Awp,M136,M60"
   }

   @StaminaRange "Rested"{
      max=100
      speed_adj=1.1
      jump_adj=1
   }
   @StaminaRange "Active"{
      max=80
      //looping_sound="breath1"
      speed_adj=1
      jump_adj=1
   }
   @StaminaRange "Working"{
      max=70
      looping_sound="breathlight"
      speed_adj=1
      jump_adj=1
   }
   @StaminaRange "WorkingHard"{
      max=55
      looping_sound="breathmedium"
      speed_adj=0.75
      jump_adj=0.9
   }
   @StaminaRange "Exhausted"{
      max=40
      looping_sound="breathheavy"
      speed_adj=0.5
      jump_adj=0.85
   }
   @StaminaRange "Unconscious"{
      max=20
      looping_sound="unconscious"
      speed_adj=0.5
      jump_adj=0.8
   }
   min_stamina=10
//   passout_anim="passout"
//   recover_anim="standup"
//   die_if_passedout=0

   @LookTrackJoint "Neck"
   {
      joint="Bip01 Neck"
      angles="(-180,-180)(180,180)"
   }
   @DamageMap "head"
   {
      add_joint="Bip01 Head"
      default_damage_adj=1
   }
   @DamageMap "body"
   {
      add_joint="Bip01 Spine3"
      add_joint="Bip01 Spine2"
      add_joint="Bip01 Spine1"
      add_joint="Bip01"
      default_damage_adj=1
   }
   @DamageMap "legs"
   {
      add_joint="Bip01 L Thigh"
      add_joint="Bip01 L Calf"
      add_joint="Bip01 R Calf"
      add_joint="Bip01 R Thigh"
      add_joint="Bip01 R Foot"
      add_joint="Bip01 L Foot"
      default_damage_adj=0.5
   }
   @DamageMap "arms"
   {
      add_joint="Bip01 L UpperArm"
      add_joint="Bip01 L Forearm"
      add_joint="Bip01 R Forearm"
      add_joint="Bip01 R UpperArm"
      default_damage_adj=1
      add_damage_type_adj="explosive,1"
   }
///////////////////////////////////////////DEATH ACTS
   @DeathAct "die_default"
   {
      anim="die_default"
      sound="player_death"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      twitch_anims="die_default_twitch"
      effect="BloodPoolLauncherEffect"
   }


///////////////////PAIN ACTS
   @PainAct "pain01"
   {
      anim="pain_front"
      sound="soldier01_pain01"
      damage_type="bullet|explosive"
//      effect="SpitBloodEffect2,Jaw"
      duration=.8
	  //effect="CameraBloodEffect,Camera"//commented out because of problems moving and firing weapon
   }

   @PainAct "pain02"
   {
     anim="pain_left"
      sound="soldier01_pain02"
      damage_type="bullet|explosive"
      duration=.8
   }

      @PainAct "pain03"
   {
      anim="pain_right"
      sound="soldier01_pain03"
      damage_type="bullet|explosive"
      duration=.8
   }

      @PainAct "pain04"
   {
      anim="pain_right"
      sound="soldier01_pain04"
      damage_type="bullet|explosive"
      duration=.8
   }

      @PainAct "pain05"
   {
      anim="pain_right"
      sound="soldier01_pain05"
      damage_type="bullet|explosive"
      duration=.8
   }
      @PainAct "pain06"
   {
      anim="pain_right"
      sound="soldier01_pain06"
      damage_type="bullet|explosive"
      duration=.8
   }
      @PainAct "pain07"
   {
      anim="pain_right"
      sound="soldier01_pain07"
      damage_type="bullet|explosive"
      duration=.8
   }
      @PainAct "pain08"
   {
      anim="pain_right"
      sound="soldier01_pain08"
      damage_type="bullet|explosive"
      duration=.8
   }

      @PainAct "pain09"
   {
      anim="pain_right"
      sound="soldier01_pain09"
      damage_type="bullet|explosive"
      duration=.8
   }

   @PainAct "painfire01"
   {
      anim="pain_front"
      sound="painfire01"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "painfire02"
   {
      anim="pain_right"
      sound="painfire02"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "painfire03"
   {
      anim="pain_left"
      sound="painfire03"
      damage_type="fire"
      duration=0.5
   }

   @PainAct "fall01"
   {
      anim="fall0"
      sound="painfall01"
      stamina="0,1"
      damage_type="fall"
   }
   @PainAct "fall02"
   {
      anim="Fall1"
      sound="painfall02"
      stamina="1,40"
      damage_type="fall"
   }

   @PainAct "fall03"
   {
      anim="Fall2"
      sound="painfall03"
      stamina="40,200"
      damage_type="fall"
   }

}
